:root {
    --color-primary: #FF7F00;
    --color-dark: #404040;
    --color-light: #f5f5f5;
    --font-brand: "Righteous";
    --font-title: "Karla";
    --font-text: "Roboto";
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    line-height: 1.6;
    letter-spacing: 1px;
    text-decoration: none;
}
.text-light {
    color: var(--color-light);
    font-size: 1.2rem;
}
.center-1200 {
    max-width: 75rem;
    margin-inline: auto;
}
h2 {
    font-family: var(--font-title), sans-serif;
    font-size: clamp(1.6rem, 1.019rem + 2.642vw, 3rem);
    color: var(--color-dark);
    margin-bottom: 1.5rem;
}
h2:first-letter {
    color: var(--color-primary);
    font-weight: bold;
}
h3 {
    font-family: var(--font-title), sans-serif;
    font-size: clamp(1.2rem, 0.868rem + 1.509vw, 2rem);
    color: var(--color-dark);  
}
h3::after {
    content:"";
    background: linear-gradient(to right, var(--color-primary), var(--color-dark));
    display: block;
    height:1px;
    width: 100%;
}
section {
    padding-block: 3rem;
    background-color: white;
}
section:nth-child(even) {
    background-color: var(--color-light);
}
header, footer {
    padding-inline: 2rem;
}

body {
    min-height: 100svh;
    min-width: 375px;
    font-family: var(--font-text), sans-serif;
    display: grid;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: repeat(3, 1fr);
    grid-template-areas: "header header header"
                         "main main main"
                         "footer footer footer";
}

header {
    grid-area: header;
    background: linear-gradient(var(--color-dark), var(--color-primary));
    display: flex;
    flex-direction: column;
    height: 90svh;
    min-height: 576px;

    nav {
        display: flex;
        justify-content: space-between;
        align-items: baseline;

        .brand {
            font-family: var(--font-brand), sans-serif;
            font-size: clamp(3rem, 1.8rem + 4.8vw, 6rem);
            letter-spacing: 0.25rem;
            color: var(--color-light);
            text-shadow: 2px -2px 2px var(--color-primary);

            .brand-s {
                color: var(--color-primary);
                font-size: calc(clamp(3rem, 0.9rem + 5.82vw, 6rem) + 2rem);
                text-shadow: 2px -2px 4px var(--color-light);
                letter-spacing: 0.25rem;
            }
        }
        .nav-list {
            display: flex;
            gap: 2rem;
            list-style-type: none;
        }
        .nav-link {
            color: var(--color-light);
        }
        .nav-link:hover {
            color: var(--color-primary);
            font-weight: bold;
        }
    }

    .header-content {
        overflow: revert;
        flex: 1;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        font-size: clamp(2rem, 0.8rem + 4.8vw, 5rem);
        font-weight: 900;
        color: var(--color-dark);
        /*text-shadow: 1px -1px 2px var(--color-light);*/
    }
}
main {
    grid-area: main;

    #about {
        .about-container {
            display: grid;
            grid-template-columns: 3fr 1fr;
            grid-template-rows: auto auto;
            row-gap: 1rem;
            grid-template-areas: "content photo" "quote quote";
        }
        .about-quote {
            grid-area: quote;
            display: flex;
            flex-direction: column;
            gap: 1rem;
        }
        .about-content {
            grid-area: content;
            display: flex;
            flex-direction: column;
            gap: 1rem;
        }
        .about-image {
            grid-area: photo;
            width: 100%;
        }
    }
    #services {
        .service-container {
            display: grid;
            grid-template-rows: repeat(4, 1fr);
            row-gap: 2rem;
        }
        .service-item {
            flex: 1;
            display: grid;
            grid-template-columns: 1fr 3fr;
            grid-template-rows: auto 1fr;
            grid-template-areas: "image title"
                                 "image description";
            row-gap: 2rem;
            column-gap: 4rem;
            padding: 2rem;
        }
        .service-item:nth-child(even) {
            grid-template-columns: 3fr 1fr;
            grid-template-rows: auto 1fr;
            grid-template-areas: "title image"
                                 "description image";
        }
        .service-title {
            grid-area: title;
        }
        .service-description {
            grid-area: description;
        }
        .service-image {
            object-fit: cover;
            width: 100%;
            grid-area: image;
            border-radius: 50%;
            animation-name: fadein;
            animation-fill-mode: both;
            animation-duration: 1ms; /* Firefox requires this to apply the animation */
            animation-timing-function: linear;
            animation-timeline: view(block 70% 20%);

        }
    }
    #contact {
        .contact-list {
            display: flex;
            justify-content: space-around;
            list-style-type: none;
            list-style-position: inside;
        }
        .contact-item {
            flex: 1;
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        .contact-icon {
            width: 7rem;
            height: 7rem;
            color: var(--color-dark);
        }
        .contact-text {
            flex: 1;
            color: var(--color-dark);
            text-decoration: none;
            text-align: center;
            margin-top: 2rem;
        }
        .contact-text:hover {
            color: var(--color-primary);
            font-weight: bold;
        }
        .feather-phone {
            animation-name: ring;
            animation-duration: 4s;
            animation-iteration-count: infinite;
            animation-timing-function: ease-in-out;
            /*animation: ring 2s 10s ease-in-out infinite;*/
        }
        .feather-mail {
            animation-name: send;
            animation-duration: 8s;
            animation-iteration-count: infinite;
            animation-timing-function: ease-in-out;
            /*animation: ring 2s 10s ease-in-out infinite;*/
        }
        .feather-map-pin {
            animation-name: bounce;
            animation-duration: 12s;
            animation-iteration-count: infinite;
            animation-timing-function: ease-in-out;
            /*animation: ring 2s 10s ease-in-out infinite;*/
        }
    }
}
footer {
    padding-block: 1rem;
    background: linear-gradient(var(--color-primary), var(--color-dark));
    grid-area: footer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--color-light);

    .socials {
        display: flex;
        gap: 2rem;
    }
    .socials-link {
        color: var(--color-light);
        text-decoration: none;
        font-size: 2rem;
    }
}

@media screen and (max-width: 1200px) {
    .center-1200 {
        padding-inline: 2rem;
    }
    main {
        #about {
            .about-container {
                grid-template-columns: 2fr 1fr;
            }
        }
        #services {
            .service-item {
                padding: 0;
                display: grid;
                grid-template-columns: 1fr 2fr;
            }
            .service-item:nth-child(even) {
                grid-template-columns: 2fr 1fr;
            }
        }
    }
}

@media screen and (max-width: 992px) {
    h2 {
        text-align: center;
    }
    .center-1200 {
        padding-inline: 1.5rem;
    }
    main {
        #about {
            .about-container {
                grid-template-columns: 1fr 1fr;
            }
        }
        #services {
            .service-item {
                grid-template-columns: 1fr 1fr;
            }
            .service-item:nth-child(even) {
                grid-template-columns: 1fr 1fr;
            }
        }
    }
}

@media screen and (max-width: 768px) {
    .center-1200 {
        padding-inline: 1rem;
    }
    header {
        nav {
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }
    }
    main {
        #about {
            .about-container {
                grid-template-columns: 1fr;
                grid-template-rows: auto auto auto;
                grid-template-areas: "content" "quote""photo";
            }
        }
        #services {
            .service-container {
                grid-template-rows: repeat(4, auto);
                row-gap: 2rem;
            }
            .service-item {
                grid-template-columns: 1fr;
                grid-template-rows: auto auto auto;
                grid-template-areas: "title" "image" "description";
            }
            .service-item:nth-child(even) {
                grid-template-columns: 1fr;
                grid-template-rows: auto auto auto;
                grid-template-areas: "title" "image" "description";
            }
            .service-title {
                text-align: center;
            }
            .service-image {
                padding-inline: 15%;
            }
        }
    }
}

@media screen and (max-width: 576px) {
    header, footer {
        padding-inline: 1rem;
    }
    main {
        #contact {
            .contact-list {
                display: flex;
                flex-direction: column;
                justify-content: center;
                gap: 3rem;
            }
        }
    }
}
@keyframes fadein {
    from {
        opacity: 0;
        transform: scale(0%);
    }
    to {
        transform: scale(100%);
        opacity: 1;
    }
}
@keyframes ring{
    0%{transform: rotate(-15deg)}
    1%{transform: rotate(15deg)}
    2%{transform: rotate(-18deg)}
    3%{transform: rotate(18deg)}
    4%{transform: rotate(-22deg)}
    5%{transform: rotate(22deg)}
    6%{transform: rotate(-18deg)}
    7%{transform: rotate(18deg)}
    8%{transform: rotate(-12deg)}
    9%{transform: rotate(12deg)}
    10%{transform: rotate(0deg)}}

@keyframes bounce {
    0% {
        opacity: 0;
        transform: translateY(-50px);
    }
    1% {
        opacity: 1;
        transform: translateY(5px);
    }
    2% {
        transform: translateY(-40px);
    }
    3% {
        transform: translateY(4px);
    }
    4% {
        transform: translateY(-32px);
    }
    5% {
        transform: translateY(3px);
    }
    6% {
        transform: translateY(-24px);
    }
    7% {
        transform: translateY(2px);
    }
    8% {
        transform: translateY(-18px);
    }
    9% {
        transform: translateY(1px);
    }
    10% {
        transform: translateY(-12px);
    }
    11% {
        transform: translateY(0px);
    }
    12% {
        transform: translateY(-8px);
    }
    13% {
        transform: translateY(0px);
    }
    14% {
        transform: translateY(-8px);
    }
    15% {
        transform: translateY(0px);
    }
    16% {
        transform: translateY(-6px);
    }
    17% {
        transform: translateY(0px);
    }
    18% {
        transform: translateY(-6px);
    }
    19% {
        transform: translateY(0px);
    }
    20% {
        transform: translateY(-4px);
    }
    21% {
        transform: translateY(0px);
    }
    22% {
        transform: translateY(-4px);
    }
    23% {
        transform: translateY(0px);
    }
    24% {
        transform: translateY(-2px);
    }
    25% {
        transform: translateY(0px);
    }
    80% {
        opacity: 1;
    }
    90% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

@keyframes send {
    0% {
        transform: translateX(0) translateY(0) scale(100%);
        opacity: 0;
    }
    10% {
        opacity: 1;
    }
    50% {
        transform: translateX(0) translateY(0);
    }
    60% {
        opacity: 1;
        transform: scale(120%);
    }
    80% {
        transform: translateX(80px) translateY(-80px) scale(10%);
    }

    90% {
        transform: translateX(80px) translateY(-80px) scale(10%);
        opacity: 0;
    }
    100% {
        opacity: 0;
        transform: translateX(0) translateY(0) scale(100%);
    }
}